package com.bocloud.nms.model.campus;

public class TelnetTemplateModel {

    private Long id; // TELNET 模板的 ID。
    private String name; // 模板名称。
    private Long version; // 版本。
    private Integer authType; // 认证类型。0：PASSWORD。1：USERNAMEANDPWD。2：SUPERPWD。3：PWDANDSUPERPWD。4：USERANDPWDANDSUPERPWD。5：NOUSERANDNOPWD。6：USERNAMENOPWD。
    private String userName; // 用户名。
    private String userPassword; // 用户密码。
    private String superPassword; // 超级密码。
    private String authTypeStr; // 认证模式。
    private Long timeout; // 超时时间（秒）。
    private Long retries; // 重试次数。
    private Long port; // 端口。
    private Integer type; // 模板类型。0：TEMPLATE，1：DEFINED

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getVersion() {
        return version;
    }

    public void setVersion(Long version) {
        this.version = version;
    }

    public Integer getAuthType() {
        return authType;
    }

    public void setAuthType(Integer authType) {
        this.authType = authType;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPassword() {
        return userPassword;
    }

    public void setUserPassword(String userPassword) {
        this.userPassword = userPassword;
    }

    public String getSuperPassword() {
        return superPassword;
    }

    public void setSuperPassword(String superPassword) {
        this.superPassword = superPassword;
    }

    public String getAuthTypeStr() {
        return authTypeStr;
    }

    public void setAuthTypeStr(String authTypeStr) {
        this.authTypeStr = authTypeStr;
    }

    public Long getTimeout() {
        return timeout;
    }

    public void setTimeout(Long timeout) {
        this.timeout = timeout;
    }

    public Long getRetries() {
        return retries;
    }

    public void setRetries(Long retries) {
        this.retries = retries;
    }

    public Long getPort() {
        return port;
    }

    public void setPort(Long port) {
        this.port = port;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
